\newcommand{\img}[2]{
    \includegraphics[width=#1]{#2}
}
% e.g \img{40mm}{universe.jpg}

\newcommand{\showFig}[4]{
    \centering

    \img{#1}{#2}

    \caption{#3}
    \label{fig:#4}
}
% e.g \showFig{40mm}{universe.jpg}{the universe}{label-univ}